#include "exti.h"
#include "led.h"
#include "key.h"
#include "delay.h"
//////////////////////////////////////////////////////////////////////////////////	 
//ⲿж 			   
////////////////////////////////////////////////////////////////////////////////// 	  

//ⲿж0
void EXTI0_IRQHandler(void)
{
	int i,j;
	delay_ms(10);   //
	if(KEY1==0)	    //1
	{
		int count=4;
		while(count--){
				for(i=0;i<5;i++){
					for(j=0;j<30;j++){
							SetLed(i+0,3);
							delay_ms(1);
							SetLed(i+1,4);
							delay_ms(1);     
							SetLed(i+2,5);
							delay_ms(1);     						
				}
			}
				for(i=5;i>0;i--){
					for(j=0;j<30;j++){
							SetLed(i+0,3);
							delay_ms(1);
							SetLed(i+1,4);
							delay_ms(1); 
							SetLed(i+2,5);
							delay_ms(1); 						
				}
			}
		}

	}		 
	EXTI->PR=1<<0;  //LINE0ϵжϱ־λ  
}

//ⲿж1
void EXTI1_IRQHandler(void)
{
	void EXTI0_IRQHandler();
	int i,j;
	delay_ms(10);   //
	
	if(KEY2==0)	    //2
	{
		int count=3;
		while(count--){
			for(i=0;i<5;i++){
					for(j=0;j<40;j++){
							SetLed(i+0,6);
							delay_ms(1);
							SetLed(i+1,6);
							delay_ms(1);     
							SetLed(i+2,6);
							delay_ms(1);     						
				}
			}
				for(i=5;i>0;i--){
					for(j=0;j<40;j++){
							SetLed(i+0,6);
							delay_ms(1);
							SetLed(i+1,6);
							delay_ms(1); 
							SetLed(i+2,6);
							delay_ms(1); 						
				}
			}
		
		}
	}		 
	EXTI->PR=1<<1;  //LINE1ϵжϱ־λ  
	
}

//ⲿж2
void EXTI2_IRQHandler(void)
{
	int i,j;
	delay_ms(10);   //
	if(KEY3==0)	    //1
	{
		int count=2;
		while(count--){
			for(i=0;i<5;i++){
					for(j=0;j<50;j++){
							SetLed(i+0,7);
							delay_ms(1);
							SetLed(i+1,7);
							delay_ms(1);     
							SetLed(i+2,7);
							delay_ms(1);     						
				}
			}
				for(i=5;i>0;i--){
					for(j=0;j<50;j++){
							SetLed(i+0,7);
							delay_ms(1);
							SetLed(i+1,7);
							delay_ms(1); 
							SetLed(i+2,7);
							delay_ms(1); 						
				}
			}
		}
		
	}		 
	EXTI->PR=1<<2;  //LINE2ϵжϱ־λ  
}

//ⲿж3
void EXTI3_IRQHandler(void)
{
	int i,j;
	delay_ms(10);   //
	if(KEY4==0)	    //1
	{
		
			for(i=0;i<5;i++){
					for(j=0;j<50;j++){
							SetLed(i+0,8);
							delay_ms(1);
							SetLed(i+1,8);
							delay_ms(1);     
							SetLed(i+2,8);
							delay_ms(1);     						
				}
			}
				for(i=5;i>0;i--){
					for(j=0;j<50;j++){
							SetLed(i+0,8);
							delay_ms(1);
							SetLed(i+1,8);
							delay_ms(1); 
							SetLed(i+2,8);
							delay_ms(1); 						
				}
			}
		
	}		 
	EXTI->PR=1<<3;  //LINE2ϵжϱ־λ  
}

//ⲿжϳʼ
//ʼPC0-2Ϊж.
void EXTIX_Init(void)
{
	RCC->APB2ENR|=1<<4;            //ʹPORTCʱ
	GPIOC->CRL&=0XFFFFF000;        //PC0-2ó	  
	GPIOC->CRL|=0X00000888;
	
	Ex_NVIC_Config(GPIO_C,0,FTIR); //½ش
	Ex_NVIC_Config(GPIO_C,1,FTIR); //½ش
	Ex_NVIC_Config(GPIO_C,2,FTIR); //½ش
	Ex_NVIC_Config(GPIO_C,3,FTIR); //½ش

	MY_NVIC_Init(0,1,EXTI0_IRQChannel,2); //ռ2ȼ22
	MY_NVIC_Init(1,1,EXTI1_IRQChannel,2); //ռ2ȼ12	   
	MY_NVIC_Init(2,1,EXTI2_IRQChannel,2); //ռ2ȼ12
	MY_NVIC_Init(3,1,EXTI3_IRQChannel,2); //ռ2ȼ12
}

